Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create comment reaction

POST/workspaces/{organizationId}/comments/{commentId}/reactions
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
commentIdstringrequired
Request body
application/json
emojistringrequired
Responses
201

Reaction created

idstringrequired
organizationIdstringrequired
targetTypestringrequired
targetIdstringrequired
actorIdstringrequired
emojistringrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/comments/string/reactions' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "emoji": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "targetType": "string",
  "targetId": "string",
  "actorId": "string",
  "emoji": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Was this page helpful?